<template>
    <div class="w-full inline-block p-4 bg-white border-b border-gray-400 hover:bg-gray-100">
        <a :href="`/posts/${post.id}`">
            <component 
                :is="`app-post-variant-${post.type}`"
                :post="post"
            />
        </a>
    </div>
</template>
<script>
export default {
    props: {
        post: {
            required: true,
            type: Object,
        }
    }   
}
</script>